
package nl.amis.hrm.jaxb;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for company complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="company">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="employees" type="{}emp" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "company", propOrder = { "name" ,"employees" })
public class Company {

    protected List<Emp> employees;
    protected String name;

    public Company () {
        resetData();

    }

    /**
     * Gets the value of the employees property.
     *
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the employees property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEmployees().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Emp }
     *
     *
     */
    public List<Emp> getEmployees() {
        if (employees == null) {
            employees = new ArrayList<Emp>();
        }
        return this.employees;
    }

    /**
     * Gets the value of the name property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setName(String value) {
        this.name = value;
    }


    public void resetData() {
        createEmp((long)7369, "SMITH", "CLERK", (long)7902, 
                  (double)800, 
                  null, (long)20);
        createEmp((long)7499, "ALLEN", "SALESMAN", (long)7698, 
                  (double)1600, 
                  (double)300, (long)30);
        createEmp((long)7521, "WARD", "SALESMAN", (long)7698, 
                  (double)1250, 
                  (double)500, (long)30);
        createEmp((long)7566, "JONES", "MANAGER", (long)7839, 
                  (double)2975, null, 
                  (long)20);
        createEmp((long)7654, "MARTIN", "SALESMAN", (long)7698, 
                  (double)1250, 
                  (double)1400, (long)30);
        createEmp((long)7698, "BLAKE", "MANAGER", (long)7839, 
                  (double)2850, null, 
                  (long)30);
        createEmp((long)7782, "CLARK", "MANAGER", (long)7839, 
                  (double)2450, null, 
                  (long)10);
        createEmp((long)7788, "SCOTT", "ANALYST", (long)7566, 
                  (double)3000, 
                  null, (long)20);
        createEmp((long)7839, "KING", "PRESIDENT", null, 
                  (double)5000, 
                  null, (long)10);
        createEmp((long)7844, "TURNER", "SALESMAN", (long)7698, 
                  (double)1500, 
                  (double)0, (long)30);
        createEmp((long)7876, "ADAMS", "CLERK", (long)7788, 
                  (double)1100, 
                  null, (long)20);
        createEmp((long)7900, "JAMES", "CLERK", (long)7698, 
                   (double)950, null, 
                  (long)30);
        createEmp((long)7902, "FORD", "ANALYST", (long)7566, 
                  (double)3000, 
                  null, (long)20);
        createEmp((long)7934, "MILLER", "CLERK", (long)7782, 
                  (double)1300, 
                  null, (long)10);
    }

    public void createEmp(Long empno, String ename, String job, Long mgr, 
                           Double sal, Double comm, 
                          Long deptno) {
        Emp newEmp =         new ObjectFactory().createEmp();

        newEmp.update(empno, ename, job, mgr, sal, comm, deptno);
        getEmployees().add(newEmp);
    }

}
